/* new design start */

.hero-blog-section{
	background: var(--bg-secondary);
}

.blog-hero {
	display: flex;
    gap: 50px;
    align-items: center;
    justify-content: center;
}

.blog-hero .hero-details{
	width: 50%;
    text-align: start;
}

.blog-hero .hero-featured-img{
	width: 50%;
}

.blog-hero .hero-featured-img img{
	border-radius: 15px;
}

.author-box{
	display: flex;
    align-items: center;
    gap: 10px;
    width: fit-content;
    padding: 10px;
    background: var(--bg-card);
    border-radius: 10px;
    border: 1px solid var(--border-hover);
}

.author-box .author-img{
	height: 35px;
    width: 35px;
    border-radius: 100%;
}

.author-text{
    margin-bottom: 0;
    margin-top: 0;
    line-height: normal;
}
.author-name{
	font-size: 18px;
    font-weight: 700;
}


.blog-hero .date-time{
	display: flex;
    align-items: center;
    justify-content: start;
    gap: 15px;
}

.blog-hero .publish-date{
	width: fit-content;
    padding: 10px 20px;
    background: var(--bg-card);
    border-radius: 7px;
    border: 1px solid var(--border-hover);
    color: #dfdfdf;
}

.blog-content{
	background: #0A0F1C !important;
}

.blog-content-container{
	display: flex;
}

.blog-content-container .blog-content-area{
	width: 70%;
    padding-left: 40px;
}

.blog-content-container .blog-left-content{
	width: 30%;
}
.blog-content-container .blog-left-sticky{
	position: sticky;
    top: 100px;
}

.blog-content-container .blog-toc .bd_toc_container .bd_toc_content_list_item{
	height: 350px;
    overflow-y: auto;
    padding-right: 15px;
}

.blog-cta{
	background: var(--bg-secondary);
}

.author-section{
	display: flex;
    gap: 20px;
    align-items: center;
    justify-content: center;
    background: var(--bg-card);
    border-radius: 15px;
    border: 1px solid var(--border-hover);
    padding: 15px;
    margin-top: 50px;
}

.author-section .author-section-img{
    width: 100px;
    object-fit: cover;
    margin: 0;
    border-radius: 100%;
}

.ai-summary{
	background-color: #111827;
    padding: 25px;
    border-radius: 15px;
    border: 1px solid #505050;
    margin-bottom: 20px;
}

.ai-summary .new-ai-tools-icon{
	display: flex;
    align-items: center;
    gap: 10px;
    padding-left: 0;
}

.ai-summary .new-ai-tools-icon li a{
	background: #ededed;
    height: 45px;
    width: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
}

.ai-summary .new-ai-tools-icon li a svg{
	height: 30px;
    width: 30px;
}

.ai-summary .new-ai-tools-icon li{
	list-style: none;
    margin-bottom: 0;
}

/* new design end */


.page-hero {
	padding-top: 70px !important;
}

.blog-content h2{
    margin-bottom: 15px;
    padding-top: 165px;
    margin-top: -155px;
}

.blog-content img{
	margin: 20px 0;
}

.blog-content h1{
	margin-bottom: 15px;
}

.blog-content h3{
	margin-top: 20px;
    margin-bottom: 10px;
}

.blog-content p{
	margin-bottom: 10px;
    max-width: 100% !important;
}

.blog-content ol,
.blog-content ul{
	list-style: unset !important;
    padding-left: 19px;
}

.blog-content ol li,
.blog-content ul li{
	margin-bottom: 12px;
}
.page-hero .category-badge{
	margin-bottom: 0;
}

.blog-content a{
	color: #3B82F6;
    transition: all 0.25s ease-in;
}

.blog-content a:hover{
	opacity: 0.8;
}

.fade-in{
	transform: unset !important;
}

.cta {
	padding-top: 70px !important;
    padding-bottom: 70px !important;
}

.cta p.lead {
	max-width: 100% !important;
}

@media (max-width: 1024px){
	.author-section {
    	flex-direction: column;
        align-items: start;
    }
}

@media (max-width: 768px){

	.blog-hero{
    	flex-direction: column;
    }
    
    .blog-hero .hero-details,
    .blog-hero .hero-featured-img{
    	width: 100%;
    }
    
    .blog-content-container{
    	flex-direction: column;
    }
    
    .blog-content-container .blog-left-content,
    .blog-content-container .blog-content-area{
    	width: 100%;
    }
    
    .blog-content-container .blog-content-area{
    	padding-left: 0;
        padding-top: 40px;
    }
    
    .blog-content-container .blog-left-sticky{
    	position: unset;
    }
    
    /* single blog TOC */
	.single-post .blog-toc .bd_toc_container {
        width: 100% !important;
        max-width: 100% !important;
    }

    .single-post .blog-toc .fit_content {
        width: 100% !important;
    }

	.blog-content table{
    	display: block;
        overflow-x: auto;
        white-space: nowrap;
        width: 100%;
        -webkit-overflow-scrolling: touch;
        max-width: 320px !important;
        min-width: 320px !important;
    }
    
    header .nav-actions .btn-nav{
    	display: none;
    }
    
    .blog-content nav.post-navigation{
    	flex-direction: column;
    }
}